"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlDarkModeSwitch = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var useConstCallback_1 = require("powerhooks/useConstCallback");
var powerhooks_1 = require("powerhooks");
var lib_1 = require("onyxia-ui/lib");
var GlIconButton_1 = require("../utils/GlIconButton");
var framer_motion_1 = require("framer-motion");
var theme_1 = require("../theme");
var useStyles = theme_1.makeStyles()({
    "root": {
        "display": "flex",
        "width": 50,
        "height": 50,
        "alignItems": "center",
        "justifyContent": "center",
        "padding": 0,
    },
});
exports.GlDarkModeSwitch = react_1.memo(function (props) {
    var className = props.className;
    var _a = lib_1.useIsDarkModeEnabled(), isDarkModeEnabled = _a.isDarkModeEnabled, setIsDarkModeEnabled = _a.setIsDarkModeEnabled;
    var _b = powerhooks_1.useNamedState("motionProps", {
        "rotate": 0,
    }), motionProps = _b.motionProps, setMotionProps = _b.setMotionProps;
    var onClick = useConstCallback_1.useConstCallback(function () {
        setIsDarkModeEnabled(!isDarkModeEnabled);
        setMotionProps({
            "rotate": motionProps.rotate === 0 ? 360 : 0,
        });
    });
    var classes = useStyles().classes;
    return (jsx_runtime_1.jsx(framer_motion_1.motion.div, __assign({ className: classes.root, animate: motionProps }, { children: jsx_runtime_1.jsx(GlIconButton_1.GlIconButton, { className: className, iconId: isDarkModeEnabled ? "brightness7" : "brightness4", onClick: onClick }, void 0) }), void 0));
});
//# sourceMappingURL=GlDarkModeSwitch.js.map