"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHero = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/ban-types */
var theme_1 = require("./theme");
var GlImage_1 = require("./utils/GlImage");
var react_1 = require("react");
var theme_2 = require("./theme");
var onyxia_ui_1 = require("onyxia-ui");
var powerhooks_1 = require("powerhooks");
var framer_motion_1 = require("framer-motion");
var onyxia_ui_2 = require("onyxia-ui");
var useStyles = theme_2.makeStyles()(function (theme, _a) {
    var backgroundImageSrcLight = _a.backgroundImageSrcLight, hasTextAndImage = _a.hasTextAndImage, backgroundImageSrcDark = _a.backgroundImageSrcDark;
    return ({
        "root": {
            "position": "relative",
            "width": "100%",
        },
        "textAndImageWrapper": __assign({ "display": "grid", "gridTemplateColumns": "repeat(" + (hasTextAndImage ? 2 : 1) + ", 1fr)", "gap": theme.spacing(4), "padding": theme.spacing(5, 0) }, (function () {
            if (theme.windowInnerWidth >= onyxia_ui_2.breakpointsValues.md) {
                return {};
            }
            return {
                "gridTemplateColumns": undefined,
                "gridAutoFlow": "row",
                "gap": theme.spacing(2),
                "justifyContent": "center",
            };
        })()),
        "title": {
            "marginBottom": theme.spacing(4),
        },
        "subtitle": __assign({ "marginTop": theme.spacing(4), "maxWidth": 650 }, (function () {
            if (theme.windowInnerWidth >= 1440) {
                return {};
            }
            return theme.typography.variants["body 1"].style;
        })()),
        "textWrapper": {
            "display": "flex",
            "flexDirection": "column",
        },
        "backgroundDiv": {
            "background": "url(" + (theme.isDarkModeEnabled
                ? backgroundImageSrcDark
                : backgroundImageSrcLight) + ")",
            "backgroundRepeat": "no-repeat",
            "backgroundSize": "cover",
            "backgroundPosition": "center",
            "width": "100vw",
            "height": "100%",
            "position": "absolute",
            "top": 0,
            "left": -theme.spacing(7),
            "zIndex": -1,
            "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
        },
    });
});
exports.GlHero = react_1.memo(function (props) {
    var title = props.title, subTitle = props.subTitle, className = props.className, backgroundImageSrcLight = props.backgroundImageSrcLight, backgroundImageSrcDark = props.backgroundImageSrcDark, imageSrc = props.imageSrc, children = props.children;
    var _a = powerhooks_1.useNamedState("titleAnimationProps", {}), setTitleAnimationProps = _a.setTitleAnimationProps, titleAnimationProps = _a.titleAnimationProps;
    var _b = useStyles({
        backgroundImageSrcLight: backgroundImageSrcLight,
        backgroundImageSrcDark: backgroundImageSrcDark,
        "hasTextAndImage": (title !== undefined || subTitle !== undefined) &&
            imageSrc !== undefined,
    }), classes = _b.classes, cx = _b.cx;
    onyxia_ui_1.useSplashScreen({
        "onHidden": function () {
            setTitleAnimationProps({
                "opacity": 1,
            });
        },
    });
    return (jsx_runtime_1.jsxs("section", __assign({ className: cx(classes.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classes.backgroundDiv }, void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classes.textAndImageWrapper }, { children: [jsx_runtime_1.jsxs(framer_motion_1.motion.div, __assign({ className: classes.textWrapper, initial: {
                            "opacity": 0,
                        }, animate: titleAnimationProps }, { children: [title !== undefined && (jsx_runtime_1.jsx(HeroText, __assign({ className: classes.title }, { children: title }), void 0)),
                            subTitle !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "subtitle", className: classes.subtitle }, { children: subTitle }), void 0))] }), void 0),
                    imageSrc !== undefined && (jsx_runtime_1.jsx("div", { children: jsx_runtime_1.jsx(GlImage_1.GlImage, { url: imageSrc, alt: "hero image" }, void 0) }, void 0))] }), void 0), children] }), void 0));
});
var HeroText = (function () {
    var useStyles = theme_2.makeStyles()(function (theme) { return ({
        "root": __assign({ "fontWeight": 700 }, (function () {
            var value = (theme.typography.rootFontSizePx / 16) *
                (function () {
                    if (theme.windowInnerWidth >= 1440) {
                        return 86;
                    }
                    if (theme.windowInnerWidth >= 600) {
                        return 52;
                    }
                    return 36;
                })();
            return {
                "fontSize": value,
                "lineHeight": value + "px",
            };
        })()),
    }); });
    var HeroText = react_1.memo(function (props) {
        var children = props.children, className = props.className;
        var _a = useStyles(), classes = _a.classes, cx = _a.cx;
        return (jsx_runtime_1.jsx(theme_1.Text, __assign({ className: cx(classes.root, className), htmlComponent: "h1", typo: "body 1" }, { children: children }), void 0));
    });
    return { HeroText: HeroText };
})().HeroText;
//# sourceMappingURL=GlHero.js.map