"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSection = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var theme_1 = require("../theme");
var onyxia_ui_1 = require("onyxia-ui");
var useStyles = theme_1.makeStyles()(function (theme, _a) {
    var hasArticleAndAside = _a.hasArticleAndAside;
    return ({
        "root": {
            "position": "relative",
            "padding": theme.spacing(8, (function () {
                if (theme.windowInnerWidth >= onyxia_ui_1.breakpointsValues.md) {
                    return 8;
                }
                return 0;
            })()),
        },
        "title": {
            "textAlign": "center",
            "marginBottom": theme.spacing(10),
        },
        "articleAndAsideWrapper": __assign({ "display": "grid", "marginTop": theme.spacing(8), "alignItems": "center", "gap": theme.spacing(8), "& code": {
                "width": 0,
            } }, (function () {
            if (theme.windowInnerWidth >= onyxia_ui_1.breakpointsValues.md) {
                return {
                    "gridTemplateColumns": "repeat(" + (hasArticleAndAside ? 2 : 1) + ", 1fr)",
                };
            }
            return {
                "gridAutoFlow": "row",
            };
        })()),
    });
});
exports.GlSection = react_1.memo(function (props) {
    var className = props.className, heading = props.heading, aside = props.aside, article = props.article, children = props.children;
    var _a = useStyles({
        "hasArticleAndAside": aside !== undefined && article !== undefined,
    }), classes = _a.classes, cx = _a.cx;
    return (jsx_runtime_1.jsxs("section", __assign({ className: cx(classes.root, className) }, { children: [heading && (jsx_runtime_1.jsx(theme_1.Text, __assign({ className: classes.title, typo: "page heading" }, { children: heading }), void 0)),
            jsx_runtime_1.jsxs("div", __assign({ className: classes.articleAndAsideWrapper }, { children: [article, aside] }), void 0), children] }), void 0));
});
//# sourceMappingURL=GlSection.js.map