"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WaveBackground = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var backgroundWaveDark_svg_1 = __importDefault(require("../assets/svg/backgroundWaveDark.svg"));
var backgroundWaveLight_svg_1 = __importDefault(require("../assets/svg/backgroundWaveLight.svg"));
var react_1 = require("react");
var theme_1 = require("../theme");
var useStyles = theme_1.makeStyles()(function (theme, _a) {
    var offset = _a.offset;
    return ({
        "root": {
            "background": "url(\"" + (theme.isDarkModeEnabled ? backgroundWaveDark_svg_1.default : backgroundWaveLight_svg_1.default) + "\")",
            "backgroundSize": "100%",
            "backgroundRepeat": "no-repeat",
            "backgroundPosition": "center",
            "overflow": "visible",
            "height": 1250,
            "position": "absolute",
            "left": 0,
            "top": offset,
            "zIndex": -1,
        },
    });
});
exports.WaveBackground = react_1.memo(function (props) {
    var offset = props.offset;
    var classes = useStyles({ offset: offset }).classes;
    return jsx_runtime_1.jsx("div", { className: classes.root }, void 0);
});
//# sourceMappingURL=WaveBackground.js.map